using UnityEngine;

public static class AttributesExtensions
{
    public static Stamps GetStamp(this Attributes attribute)
    {
        Stamps stamp = default(Stamps);

        switch (attribute)
        {
            case Attributes.Diplomacy:
                stamp = Stamps.Diplomacy;
                break;
            case Attributes.Family:
                stamp = Stamps.Family;
                break;
            case Attributes.Nobility:
                stamp = Stamps.Noble;
                break;
            case Attributes.People:
                stamp = Stamps.People;
                break;
            case Attributes.Religion:
                stamp = Stamps.Church;
                break;
        }

        return stamp;
    }

    public static LetterBackgrounds GetLetterBackground(this Attributes attribute)
    {
        LetterBackgrounds background = default(LetterBackgrounds);

        switch (attribute)
        {
            case Attributes.Diplomacy:
                background = LetterBackgrounds.Diplomacy;
                break;
            case Attributes.Family:
                background = LetterBackgrounds.Family;
                break;
            case Attributes.Nobility:
                background = LetterBackgrounds.Noble;
                break;
            case Attributes.People:
                background = LetterBackgrounds.People;
                break;
            case Attributes.Religion:
                background = LetterBackgrounds.Church;
                break;
        }

        return background;
    }
}